<?php

namespace App\Util;

class Telegram {

    private $key;
    private $channel;

    public function msg($message) {
        if(empty($message))
            return 0;

        if(strpos($message, "{\"code\":-1021") !== false)
            return 0;

        if(empty($this->key) || empty($this->channel)) 
            return 0;

        // $message = urlencode($message);
        $this->request("https://api.telegram.org/{$this->key}/sendMessage?chat_id={$this->channel}&text=$message&parse_mode=html");
    }

    public function setCredentials($key, $channel) {
        $this->key     = $key; 
        $this->channel = $channel; 
    }

    public function request($url) {
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_exec($ch);
        curl_close($ch);
        return 1;
    }
}